<?
error_reporting(E_ALL^E_NOTICE);
echo "<div class='event'><h1>Ежедневный подарок</h1></div>";
echo "<div class='block'>";
mysql_query("INSERT INTO `kolhoz_podarok` (`user_id`, `last_auth`, `stage`) VALUES ('$ku[id]','$now','1')");
$q_gift = mysql_query("SELECT * FROM `kolhoz_podarok` WHERE `user_id` = '$ku[id]'");
$gift = mysql_fetch_array($q_gift);
$time = $gift['last_auth'] + 84600;
$now = time();
echo "<table class='post'>";
if(isset($_GET['take']))
{
if ($time < $now) {
switch ($gift['stage']) {
case 1:
        echo "Подарок получен! Вы получили 1 Рубин</br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '1' WHERE `id` = '$ku[id]'");
        mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 2:
        echo "Подарок получен! Вы получили 2 Рубина</br></br>";
		mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '2' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 3:
        echo "Подарок получен! Вы получили 3 Рубина<hr/>";
		mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '3' WHERE `id` = '$ku[id]'");
        mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 4:
        echo "Подарок получен! Вы получили 4 рубина<hr/>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '4' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 5:
        echo "Подарок получен! Вы получили 5 рубинов<hr/>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '5' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;
case 6:
        echo "Подарок получен! Вы получили 6 рубинов<hr/>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '6' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$ku[id]'");
		break;

case 7:
        echo "Подарок получен! Вы получили 7 рубинов<hr/>";
        mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` + '7' WHERE `id` = '$ku[id]'");
		mysql_query("UPDATE `kolhoz_podarok` SET `last_auth` = '$now', `stage` = '1' WHERE `user_id` = '$ku[id]'");
		break;
}
} else {
echo "Вы уже получали сегодня подарок</br></br>";
}
}

if ($time < $now) {
echo "
Вы можете ежедневно получать подарки от администрации
<form action='?podarok&take' method='post'><br/>
<input type='submit' class='button' name='take' value='Получить!'/>
</form>";
} else {
$hour_t = ceil(($time - $now) / 3600);
if ($hour_t == 1 or $hour_t == 21) {
$hour = 'час';
} elseif ($hour_t >= 2 and $hour_t <= 4 or $hour_t >= 22 and $hour_t <= 24) {
$hour = 'часа';
} elseif ($hour_t >= 5 and $hour_t <= 20) {
$hour = 'часов';
}
echo "Вы сможете забрать подарок через $hour_t $hour ";
}
echo "</table>";
include_once 'inc/foot.php';
?>